DatacenterWriteResponseHandler (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.service

## Class DatacenterWriteResponseHandler

- java.lang.Object
- - org.apache.cassandra.service.AbstractWriteResponseHandler
  - - org.apache.cassandra.service.WriteResponseHandler
    - - org.apache.cassandra.service.DatacenterWriteResponseHandler

- All Implemented Interfaces:
    IAsyncCallback

      public class DatacenterWriteResponseHandler
      extends WriteResponseHandler

  This class blocks for a quorum of responses _in the local datacenter only_ (CL.LOCAL_QUORUM).

- - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.service.WriteResponseHandler

      `logger, responses`

    - ### Fields inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler

      `callback, consistencyLevel, keyspace, naturalEndpoints, pendingEndpoints, start`

    - ### Fields inherited from interface org.apache.cassandra.net.IAsyncCallback

      `isAlive`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatacenterWriteResponseHandler(java.util.Collection<java.net.InetAddress> naturalEndpoints, java.util.Collection<java.net.InetAddress> pendingEndpoints, ConsistencyLevel consistencyLevel, Keyspace keyspace, java.lang.Runnable callback, WriteType writeType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `response(MessageIn message)` null message means "response from local write"
    `protected int` | `totalBlockFor()`

    - ### Methods inherited from class org.apache.cassandra.service.WriteResponseHandler

      `ackCount, isLatencyForSnitch`

    - ### Methods inherited from class org.apache.cassandra.service.AbstractWriteResponseHandler

      `assureSufficientLiveNodes, get, signal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DatacenterWriteResponseHandler

          public DatacenterWriteResponseHandler(java.util.Collection<java.net.InetAddress> naturalEndpoints,
                                        java.util.Collection<java.net.InetAddress> pendingEndpoints,
                                        ConsistencyLevel consistencyLevel,
                                        Keyspace keyspace,
                                        java.lang.Runnable callback,
                                        WriteType writeType)

  - ### Method Detail

    - #### response

          public void response(MessageIn message)

      Description copied from class: `AbstractWriteResponseHandler`
      null message means "response from local write"
      Specified by:
        `response` in interface `IAsyncCallback`
      Overrides:
        `response` in class `WriteResponseHandler`
      Parameters:
        `message` - response received.

    - #### totalBlockFor

          protected int totalBlockFor()

      Overrides:
        `totalBlockFor` in class `AbstractWriteResponseHandler`

Copyright © 2014 The Apache Software Foundation